# Uses of Class
org.eclipse.jface.text.revisions.IRevisionRulerColumnExtension.RenderingMode

Packages that use IRevisionRulerColumnExtension.RenderingMode
Package
Description
org.eclipse.jface.text.revisions
Provides a revision model and a protocol to display revision information in a vertical ruler column.
org.eclipse.jface.text.source
Provides a framework for connecting document regions with annotations and for displaying those.

## Uses of IRevisionRulerColumnExtension.RenderingMode in org.eclipse.jface.text.revisions

Fields in org.eclipse.jface.text.revisions declared as IRevisionRulerColumnExtension.RenderingMode
Modifier and Type
Field
Description
`static final IRevisionRulerColumnExtension.RenderingMode`
IRevisionRulerColumnExtension.`AGE`
Rendering mode that assigns colors to revisions by their age.
`static final IRevisionRulerColumnExtension.RenderingMode`
IRevisionRulerColumnExtension.`AUTHOR`
Rendering mode that assigns a unique color to each revision author.
`static final IRevisionRulerColumnExtension.RenderingMode`
IRevisionRulerColumnExtension.`AUTHOR_SHADED_BY_AGE`
Rendering mode that assigns unique colors per revision author and uses different color intensity depending on the age.
Methods in org.eclipse.jface.text.revisions with parameters of type IRevisionRulerColumnExtension.RenderingMode
Modifier and Type
Method
Description
`void`
IRevisionRulerColumnExtension.`setRevisionRenderingMode(IRevisionRulerColumnExtension.RenderingMode mode)`
Changes the rendering mode and triggers redrawing if needed.

## Uses of IRevisionRulerColumnExtension.RenderingMode in org.eclipse.jface.text.source

Methods in org.eclipse.jface.text.source with parameters of type IRevisionRulerColumnExtension.RenderingMode
Modifier and Type
Method
Description
`void`
LineNumberChangeRulerColumn.`setRevisionRenderingMode(IRevisionRulerColumnExtension.RenderingMode renderingMode)`